MWAWStringStream Class Reference

an internal class used to return the OLE/Zip InputStream More...

`#include <MWAWInputStream.hxx>`

Inheritance diagram for MWAWStringStream:

## Public Member Functions

| MWAWStringStream (const unsigned char *data, const unsigned long dataSize)
| constructor More...
| ~MWAWStringStream ()
| destructor More...
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
| ! reads numbytes data, WITHOUT using any endian or section consideration More...
long | tell ()
| returns actual offset position More...
int | seek (long offset, WPX_SEEK_TYPE seekType)
| seeks to a offset position, from actual or beginning position More...
bool | atEOS ()
| returns true if we are at the end of the section/file More...
bool | isStructuredDocument ()
| Analyses the content of the input stream to see whether it is an Zip/OLE2 storage. More...
WPXInputStream * | getSubStream (const char *)
| Tries to extract a stream from a structured document. More...
bool | isOLEStream ()
| Analyses the content of the input stream to see whether it is an Zip/OLE2 storage. More...
WPXInputStream * | getDocumentOLEStream (const char *name)
| Tries to extract a stream from a structured document. More...

## Private Member Functions

| MWAWStringStream (const MWAWStringStream &)
MWAWStringStream & | operator= (const MWAWStringStream &)

## Private Attributes

std::vector< unsigned char > | m_buffer
| a buffer which contains the data More...
volatile long | m_offset
| the actual offset in the buffer More...

## Detailed Description

an internal class used to return the OLE/Zip InputStream

## Constructor & Destructor Documentation

MWAWStringStream::MWAWStringStream | ( | const unsigned char * | data,
|  | const unsigned long | dataSize
| ) |  |

constructor

MWAWStringStream::~MWAWStringStream | ( |  | ) |

inline

destructor

MWAWStringStream::MWAWStringStream | ( | const MWAWStringStream & |  | ) |

private

## Member Function Documentation

bool MWAWStringStream::atEOS | ( |  | ) |

inline

returns true if we are at the end of the section/file

WPXInputStream* MWAWStringStream::getDocumentOLEStream | ( | const char * | name | ) |

inline

Tries to extract a stream from a structured document.

Note
  not implemented

WPXInputStream* MWAWStringStream::getSubStream | ( | const char * |  | ) |

inline

Tries to extract a stream from a structured document.

Note
  not implemented

Referenced by getDocumentOLEStream().

bool MWAWStringStream::isOLEStream | ( |  | ) |

inline

Analyses the content of the input stream to see whether it is an Zip/OLE2 storage.

Returns
  return false

bool MWAWStringStream::isStructuredDocument | ( |  | ) |

inline

Analyses the content of the input stream to see whether it is an Zip/OLE2 storage.

Returns
  return false

Referenced by isOLEStream().

MWAWStringStream& MWAWStringStream::operator= | ( | const MWAWStringStream & |  | ) |

private

const unsigned char * MWAWStringStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

! reads numbytes data, WITHOUT using any endian or section consideration

Returns
  a pointer to the read elements

int MWAWStringStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

seeks to a offset position, from actual or beginning position

Returns
  0 if ok

See Also
  pushLimit popLimit

long MWAWStringStream::tell | ( |  | ) |

inline

returns actual offset position

## Member Data Documentation

std::vector<unsigned char> MWAWStringStream::m_buffer

private

a buffer which contains the data

Referenced by atEOS(), MWAWStringStream(), read(), and seek().

volatile long MWAWStringStream::m_offset

private

the actual offset in the buffer

Referenced by atEOS(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- MWAWInputStream.hxx
- MWAWInputStream.cxx